package br.com.syndic.main;

import br.com.syndic.controller.BancoController;
import br.com.syndic.controller.CondominioController;
import br.com.syndic.controller.InquilinoController;
import br.com.syndic.controller.RateioGasController;
import br.com.syndic.frame.EmissaoBoletos;
import br.com.syndic.frame.MovimentoBancario;
import br.com.syndic.frame.Pagamentos;
import br.com.syndic.frame.Recebimentos;
import org.openswing.swing.mdi.client.*;
import java.sql.Connection;
import javax.swing.JOptionPane;

public class ClienteFachada implements ClientFacade {

    private Connection conn = null;

    public ClienteFachada(Connection conn) {
        this.conn = conn;
    }

    public void getBanco() {
        new BancoController(conn);
    }

    public void getCondominio() {
        new CondominioController(conn);
    }

    public void getInquilino() {
        new InquilinoController(conn);
    }

    public void getGas() {
        new RateioGasController(conn);
    }

    public void getBoleto() {
        EmissaoBoletos boleto = new EmissaoBoletos(conn);
        MDIFrame.add(boleto, true);
    }

    public void getReceber() {
        Recebimentos rec = new Recebimentos(conn);
        MDIFrame.add(rec, true);
    }

    public void getPagar() {
        Pagamentos pag = new Pagamentos(conn);
        MDIFrame.add(pag, true);
    }

    public void getCheque() {
        JOptionPane.showMessageDialog(null, "Exercício");
    }

    public void getAta() {
        JOptionPane.showMessageDialog(null, "Exercício");
    }

    public void getCobranca() {
        JOptionPane.showMessageDialog(null, "Exercício");
    }

    public void getContrato() {
        JOptionPane.showMessageDialog(null, "Exercício");
    }

    public void getCentroCusto() {
        JOptionPane.showMessageDialog(null, "Exercício");
    }

    public void getFornecedor() {
        JOptionPane.showMessageDialog(null, "Exercício");
    }

    public void getBancario() {
        MovimentoBancario banco = new MovimentoBancario(conn);
        MDIFrame.add(banco, true);
    }

}